### Method

# ECal ComponentBagItem free

since: 3.58

#### Declaration [src]

    void
    e_cal_component_bag_item_free (
      ECalComponentBagItem* self
    )

#### Description [src]

Frees the `self`. Does nothing when it’s `NULL`.

Available since: 3.58

#### Parameters

`self`

  Type: `ECalComponentBagItem`

  An `ECalComponentBagItem`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.